summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorChristophe Siraut <csiraut@entrouvert.com>2020-06-18 14:56:38 (GMT)
committerChristophe Siraut <csiraut@entrouvert.com>2020-06-18 14:56:38 (GMT)
commite69b58b2557d4420188e68e123d1fd1484840c6c (patch)
tree9c63dfde8ede14f17bb9dc8e693eb9c3d196e415
parent316cf8eadac2c60e9f4dfb375a89b5dac8402618 (diff)
downloadpublik-client-scripts-e69b58b2557d4420188e68e123d1fd1484840c6c.zip
publik-client-scripts-e69b58b2557d4420188e68e123d1fd1484840c6c.tar.gz
publik-client-scripts-e69b58b2557d4420188e68e123d1fd1484840c6c.tar.bz2
add publik-villeurbanne-scipts (#43250)
-rw-r--r--debian/control8
-rw-r--r--debian/publik-villeurbanne-scripts.cron.daily11
2 files changed, 18 insertions, 1 deletions
diff --git a/debian/control b/debian/control
index 568c735..dc2501b 100644
--- a/debian/control
+++ b/debian/control
@@ -12,7 +12,8 @@ Depends: ${misc:Depends},
publik-montpellier-scripts,
publik-strasbourg-scripts,
publik-orleans-scripts,
- publik-cd06-scripts
+ publik-cd06-scripts,
+ publik-villeurbanne-scrips
Description: Meta package with all Publik client scripts
Package: publik-strasbourg-scripts
@@ -34,3 +35,8 @@ Package: publik-cd06-scripts
Architecture: all
Depends: ${misc:Depends}, python3-isodate, lftp, make, python3-requests
Description: Publik scripts for CD06
+
+Package: publik-villeurbanne-scripts
+Architecture: all
+Depends: ${misc:Depends}
+Description: Publik scripts for Villeurbanne
diff --git a/debian/publik-villeurbanne-scripts.cron.daily b/debian/publik-villeurbanne-scripts.cron.daily
new file mode 100644
index 0000000..f6986a2
--- /dev/null
+++ b/debian/publik-villeurbanne-scripts.cron.daily
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+test -d /usr/share/publik/themes/publik-base/templates/variants/hautes-alpes-2018 || exit
+
+hostname -f | grep -q test.saas.entrouvert.org && (
+ cd /usr/share/publik/themes/publik-base/templates/variants/villeurbanne-2018 &&
+ /usr/bin/python prepare-template.py https://preprod-www.villeurbanne.fr/) || true
+
+hostname -f | grep -q prod.saas.entrouvert.org && (
+ cd /usr/share/publik/themes/publik-base/templates/variants/villeurbanne-2018 &&
+ /usr/bin/python prepare-template.py https://www.villeurbanne.fr) || true